{
	"format_version": "1.20.20",
	"minecraft:structure_template_feature": {
		"description": {
			"identifier": "v360:hpm3"
		},
		"structure_name": "mystructure:hpm3",
		"adjustment_radius": 8,
		"facing_direction": "random",
		"constraints": {
			"grounded": {},
			"unburied": {},
			"block_intersection": {
				"block_allowlist": [
					{
						"name": "minecraft:air"
					},
					{
						"name": "v360:purple_mushroom"
					}
				]
			}
		}
	}
}